Subject: bug#46406: 28.0.50; [PATCH] Use frame monitor in frame_float

From: Andrii Kolomoiets <[email-masked]>
Date: Wed, 17 Feb 2021 12:27:34 +0200

Christian Tietze <[email-masked]> writes:

> Hi Andrii,

Hi Christian

> Your Emacs patch for (non)retina screens and frame sizes introduced a
> very weird bug where on the non-retina screen, the contents of the
> frame are drawn in 1/4th the available drawing space. It looks fine on
> the retina screen, though.
>
> See screenshots:
> https://github.com/daviderestivo/homebrew-emacs-head/issues/92
>
> I cannot offer a fix suggestion for this, because I don't know the
> emacs source well. Maybe you know something from the top of your head?

I'll take a look.

P.S. Please keep the bug email in CC on reply.